package com.diaoyun.zion.chinafrica.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 实体
 * 表名 tb_cf_issue_coupon
 *
 * @author lipengjun
 * @date 2019-10-28 11:19:15
 */
public class TbCfIssueCouponEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 发放表id
     */
    private String couponIssuetableId;
    /**
     * 优惠券id
     */
    private String couponId;
    /**
     * 用户id
     */
    private String userId;
    /**
     * 用户昵称
     */
    private String nick;
    /**
     * 创建日期
     */
    private String createTime;
    /**
     * 是否已经使用，0已使用，1未使用，2已过期
     */
    private Integer enableFlag;
    /**
     * 发放id
     */
    private String issueId;



    /**
     * 设置：发放表id
     */
    public String getCouponIssuetableId() {
        return couponIssuetableId;
    }

    public void setCouponIssuetableId(String couponIssuetableId) {
        this.couponIssuetableId = couponIssuetableId;
    }

    /**
     * 设置：优惠券id
     */
    public void setCouponId(String couponId) {
        this.couponId = couponId;
    }

    /**
     * 获取：优惠券id
     */
    public String getCouponId() {
        return couponId;
    }
    /**
     * 设置：用户id
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * 获取：用户id
     */
    public String getUserId() {
        return userId;
    }
    /**
     * 设置：用户昵称
     */
    public void setNick(String nick) {
        this.nick = nick;
    }

    /**
     * 获取：用户昵称
     */
    public String getNick() {
        return nick;
    }
    /**
     * 设置：创建日期
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建日期
     */
    public String getCreateTime() {
        return createTime;
    }
    /**
     * 设置：是否已经使用，0已使用，1未使用，2已过期
     */
    public void setEnableFlag(Integer enableFlag) {
        this.enableFlag = enableFlag;
    }

    /**
     * 获取：是否已经使用，0已使用，1未使用，2已过期
     */
    public Integer getEnableFlag() {
        return enableFlag;
    }
    /**
     * 设置：发放id
     */
    public void setIssueId(String issueId) {
        this.issueId = issueId;
    }

    /**
     * 获取：发放id
     */
    public String getIssueId() {
        return issueId;
    }
}
